﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using MVCBreadCrump.Models;
using MvcSiteMapProvider;

namespace MVCBreadCrump.Controllers
{
    public class ProductController : Controller
    {
        //
        // GET: /Product/

        public ActionResult Index()
        {
            List<Product> products = new List<Product>();

            Product extHardDrive = new Product();
            extHardDrive.Id = 1;
            extHardDrive.Name = "External Hard Drive";
            extHardDrive.QtyInStock = 5;
            extHardDrive.Price = 70.00;
            extHardDrive.Currency = "$";


            Product wirelessMouse = new Product();
            wirelessMouse.Id = 2;
            wirelessMouse.Name = "Wireless Mouse";
            wirelessMouse.QtyInStock = 10;
            wirelessMouse.Price = 22.00;
            wirelessMouse.Currency = "$";


            products.Add(extHardDrive);
            products.Add(wirelessMouse);

            return View(products);
        }

        public ActionResult Product(string id)
        {
            int prodId = Convert.ToInt16(id);
            Product prod = new Product();
            prod.Id = prodId;

            switch (prodId)
            {
                case 1:
                    prod.Name = "External Hard Drive";
                    prod.QtyInStock = 5;
                    prod.Price = 70.00;
                    prod.Currency = "$";
                    break;
                case 2:
                    prod.Name = "Wireless Mouse";
                    prod.QtyInStock = 10;
                    prod.Price = 22.00;
                    prod.Currency = "$";
                    break;
            }

            SiteMaps.Current.CurrentNode.Title = prod.Name;

            return View(prod);
        }

        public ActionResult Details(string id)
        {

            int prodId = Convert.ToInt16(id);
            Product prod = new Product();
            prod.Id = prodId;

            switch (prodId)
            {
                case 1:
                    prod.Name = "External Hard Drive";
                    prod.QtyInStock = 5;
                    prod.Price = 70.00;
                    prod.Currency = "$";
                    break;
                case 2:
                    prod.Name = "Wireless Mouse";
                    prod.QtyInStock = 10;
                    prod.Price = 22.00;
                    prod.Currency = "$";
                    break;
            }

            var node = SiteMaps.Current.CurrentNode;
            if (node != null && node.ParentNode != null)
            {
                node.ParentNode.Title = prod.Name;
            }


            return View(prod);
        }

        public ActionResult Edit(string id)
        {

            int prodId = Convert.ToInt16(id);
            Product prod = new Product();
            prod.Id = prodId;

            switch (prodId)
            {
                case 1:
                    prod.Name = "External Hard Drive";
                    prod.QtyInStock = 5;
                    prod.Price = 70.00;
                    prod.Currency = "$";
                    break;
                case 2:
                    prod.Name = "Wireless Mouse";
                    prod.QtyInStock = 10;
                    prod.Price = 22.00;
                    prod.Currency = "$";
                    break;
            }

            return View(prod);

        }

    }

}
